@romicohen
Системный Архитектор

Как для VSC указать две разных версии PHP (одна в системе, другая в докере) чтобы все правильно тайпхинтилось и вообще?

У меня несколько версий PHP - одна в системе (старенькая) и несколько в докере.

И вот запускаю я допустим в докере Laravel проект на 8.х, и оно начинает подчеркивать красненьким и ругаться типа:

syntax error, unexpected 'Request' (T_STRING), expecting function (T_FUNCTION) or const (T_CONST)


потому что проверяет по системной PHP, а она у меня ниже 7.4.

Как дать VSC понять, что этот проект следует проверять не по правилам системной 7.x, а по правилам 8.х?

Спасибо.
  • Вопрос задан
  • 34 просмотра
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы